github Quick/Quick v3.0.0
on GitHub

Quick v3 has been released! 🎉 The new major version requires Swift 5.2 / Xcode 11.4 at least.

BREAKING CHANGES

  • Bump Swift requirement to 5.2 (Xcode 11.4 or later) #986

New Features

  • it/fit/xit closures are now marked as throws, so you can throw Errors and the test fails if they do throw #680 (Thanks @marcelofabri)
    • it("should fail") { try throwingFunc() }
      ## Changes
      - Parallelize CI builds more (Take 2) #987
      - Update Nimble to 9.0.0-rc.1 #988
      ## Bugfixes
      - Delegate recordFailure to QuickSpec.current #990
one month ago